<?xml version="1.0" encoding="UTF-8" ?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>
  <groupId>com.jiayue.ssi</groupId>
  <artifactId>ui</artifactId>

  <version>1.0.0</version>
  <properties>
    <build.node.version>v14.16.0</build.node.version>
    <build.npm.version>7.6.0</build.npm.version>
    <build.yarn.version>v1.22.10</build.yarn.version>
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>com.github.eirslett</groupId>
        <artifactId>frontend-maven-plugin</artifactId>
        <version>1.6</version>
        <executions>
          <execution>
            <id>install node and npm</id>
            <goals>
              <goal>install-node-and-npm</goal>
            </goals>
            <phase>generate-resources</phase>
          </execution>
          <execution>
            <id>yarn install</id>
            <goals>
              <goal>npm</goal>
            </goals>
            <phase>generate-resources</phase>
            <configuration>
              <arguments>install</arguments>
            </configuration>
          </execution>
          <execution>
            <id>npm run build</id>
            <goals>
              <goal>npm</goal>
            </goals>
            <phase>compile</phase>
            <configuration>
              <arguments>run build</arguments>
            </configuration>
          </execution>
        </executions>
        <configuration>
          <nodeVersion>${build.node.version}</nodeVersion>
          <npmVersion>${build.npm.version}</npmVersion>
          <yarnVersion>${build.yarn.version}</yarnVersion>

          <!-- 国内淘宝镜像-->
          <nodeDownloadRoot>https://npm.taobao.org/mirrors/node/</nodeDownloadRoot>
          <npmDownloadRoot>https://registry.npm.taobao.org/npm/-/</npmDownloadRoot>
          <yarnDownloadRoot>https://npm.taobao.org/mirrors/yarn/</yarnDownloadRoot>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
